\input Head

\section{\tt sinc}

{\tt double sinc(const double\&) \/} --- The sinc function

% A short (preferably one-line) description of {\tt MyFunction}.

\subsection{Description}

The {\tt sinc\/} function is the Fourier transform of a square
impulse. It is used particularly in filter design via windows. 

% A longer description of what {\tt MyFunction} is used for.

\subsection{Operating Instructions}

\subsubsection{Example Usage}

% A verbatim block of example code showing proper usage of {\tt
% MyFunction}.
\begin{quote}
\footnotesize
\begin{verbatim}
#include "sinc.hh"
double x(5.0);
double y = sinc(x); // y = sin(LDAS_PI*x)/(LDAS_PI*x)
\end{verbatim}
\end{quote}

\subsubsection{Options/Defaults}

% A list of options or defaults for public methods or member data of
% {\tt MyFunction}. 

None.

\subsection{Exceptions}

\subsubsection{Exceptions Thrown}

% A list of exceptions thrown by {\tt MyFunction}.

None.

\subsubsection{Exceptions Handled}

% A list of exceptions handled by {\tt MyFunction}.

None.

\subsection{Algorithms}

\begin{equation}
sinc(x) := \sin(\pi x)/\pi x.
\end{equation}
The input argument is tested against zero; if it vanishes, then zero
is returned. 

\subsection{Accuracy}

% A discussion of issues related to the accuracy of numerical routines
% used by {\tt MyFunction}---e.g., approximations,  argument ranges, etc.

\subsection{Performance}

% A discussion of issues related to the speed (e.g., $O(N\log N)$) of
% computationally demanding routines used by {\tt MyFunction}.

\subsection{Testing}

% A description of any test code/test classes that were used to test
% {\tt MyFunction}. 

None.

\subsection{Notes}

% Miscellaneous notes about {\tt MyFunction} that do not appear
% elsewhere, things that remain to be done, etc.  

\subsection{See Also}

% A list of derived classes, base classes, etc.\ closely related to
% {\tt MyFunction}. 

\begin{itemize}
\item FIRLP
\item KFIRLP
\end{itemize}

\subsection{References}

% A list of references for any algorithms, etc.\ used by {\tt
% MyFunction}. 

\input Tail

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "datacondAPI"
%%% End: 
